Bug 829743 - Gluster - Admin GUI: Default replica count should match the number of hosts
Gluster - Admin GUI: Default replica count should match the number of hosts
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Shireesh
Sudhir D
gluster, storage
Depends On:
  Show dependency treegraph
Reported: 2012-06-07 09:24 EDT by Daniel Paikov
Modified: 2013-07-03 02:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-11 06:03:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Paikov 2012-06-07 09:24:48 EDT
Default replica count for replicate & distributed replicate should match the number of hosts in the cluster, instead of always having a default of 2.
Comment 2 Shireesh 2012-06-07 10:07:11 EDT
Replica count is not same as "brick count". It is a property of the volume, to be set by the user, and decides how many replicas of data will be maintained. By default, GUI sets it to 2. User can change it (+1/-1) on the "add bricks" and "remove bricks" screens.

And the validation then, is on the number bricks that can be used in, or added to a volume.

In case of "replicate", number of bricks must be same as the replica count.
In case of "distributed replicate", number of bricks must be a multiple of replica count.

The UI does allow adding more bricks to a replicate volume, with or without changing the replica count. If you don't change the replica count and add correct number of bricks, the volume type will automatically be changed to "distributed replicate".

If you change the replica count, then the total number of bricks (existing + new) must be equal to the new replica count.

For more details on replicate/distributed replicate volumes:



Note You need to log in before you can comment on or make changes to this bug.